package ru.yandex.webmaster3.storage.mirrors.data;

import ru.yandex.webmaster3.core.util.enums.IntEnum;
import ru.yandex.webmaster3.core.util.enums.IntEnumResolver;

/**
 * User: azakharov
 * Date: 07.07.15
 * Time: 13:03
 */
public enum MirrorActionEnum implements IntEnum {
    MOVE(0),
    UNSTICK(1);

    private final int code;

    MirrorActionEnum(int code) {
        this.code = code;
    }

    @Override
    public int value() {
        return code;
    }

    public static final IntEnumResolver<MirrorActionEnum> R = IntEnumResolver.r(MirrorActionEnum.class);
}
